import { isNumber } from 'lodash'
import styled from 'styled-components'

import { marginHelper, paddingHelper } from 'pubsweet-component-faraday-ui'

/** @component */
export default styled.div.attrs({
  'data-test-id': props => props['data-test-id'] || 'item',
})`
  align-items: ${({ alignItems }) => alignItems || 'initial'};
  display: flex;
  flex: ${({ flex }) => (isNumber(flex) ? flex : 1)};
  flex-direction: ${({ vertical }) => (vertical ? 'column' : 'row')};
  flex-wrap: ${props => props.flexWrap || 'initial'};
  justify-content: ${({ justify }) => justify || 'initial'};

  ${marginHelper};
  ${paddingHelper};
`
